<div fxLayout="row" fxLayoutAlign="center start" class="p-32" >
	<mat-card class="art-card auth-form mat-elevation-z17 mt-20"
		fxFlex.lt-sm="100"
		fxFlex="55"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<mat-card-title> Сервис Приема ССПВО </mat-card-title>
		<mat-card-subtitle> Регистрация</mat-card-subtitle>
		<mat-card-content class="mt-32">

			<form [formGroup]="registerForm" >

				<div fxLayout="row" fxLayout.lt-lg="column"  fxLayoutGap="16px" fxLayoutGap.lt-lg="">

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Фамилия</mat-label>
						<input matInput
							formControlName="surname"
							required>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Имя</mat-label>
						<input matInput
							formControlName="name"
							required>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Отчество</mat-label>
						<input matInput
							formControlName="patronymic"
							appNullValue>
					</mat-form-field>

				</div>

				<div fxLayout="row" fxLayout.lt-lg="column"  fxLayoutGap="16px" fxLayoutGap.lt-lg="">

					<mat-form-field  appearance="fill" fxFlex="" class="mb-8">
						<mat-label>Логин</mat-label>
						<input matInput
							formControlName="login"
							required>
						<mat-hint> Логин в формате name@mail.ru </mat-hint>
						<mat-error *ngIf="registerForm.get('login').hasError('pattern') && registerForm.controls['login'].touched">
							<span>
								Недопустимый формат логина
							</span>
						</mat-error>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>email</mat-label>
						<input matInput
							formControlName="email"
							appNullValue>
						<mat-error *ngIf="!registerForm.controls['email'].valid && registerForm.controls['email'].touched">
							<span *ngIf="registerForm.get('email').hasError('pattern')">
								Недопустимый формат email
							</span>
						</mat-error>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Телефон</mat-label>
						<input matInput
							formControlName="phone"
							[imask]="{mask: '+{7}(000)000-00-00'}"
							[unmask]="false"
							placeholder="+7(___) ___-____"
							name="phone"
							appNullValue>
					</mat-form-field>

				</div>
				<div>
					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Пароль</mat-label>
						<input matInput
							formControlName="password"
							[type]="typePass"
							required>
						<mat-icon matSuffix class="cursor-pointer"
							[svgIcon]=" showPass? 'eye-off-outline' : 'eye-outline' "
							(click)="changeShowPass()"></mat-icon>
					</mat-form-field>

				</div>

				<div>
					<app-select-organization
						formControlName="id_organization"
						[organizations]="organizationList"
						required
						appearance="fill"
						class="mb-20"
					></app-select-organization>
<!--

					<mat-form-field fxFlex="" appearance="fill">
						<mat-label>Организация</mat-label>
						<mat-select
							formControlName="id_organization"
							required >
							<mat-option>
								<ngx-mat-select-search
									[(ngModel)]="searchSelect"
									[ngModelOptions]="{standalone: true}"
									[placeholderLabel]="'Поиск'"
									[noEntriesFoundLabel]="'Ничего не найдено'">
									<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
								</ngx-mat-select-search>
							</mat-option>

							<mat-option *ngFor="let item of organizationList | filter: searchSelect: 'short_title' " [value]="item.id">
								{{item.short_title}}
							</mat-option>


						</mat-select>
					</mat-form-field>

-->

				</div>

				<div>
					<h5 class="mb-16"> Подтверждающий файл <sup>*</sup></h5>
					<app-file-upload
						formControlName="file"
						required="true">
					</app-file-upload>
				</div>


			</form>

			<div  fxLayoutAlign="center center" class="mt-20">
				<button mat-flat-button color="accent"
					fxFlex="60"
					fxFlex.lt-sm="100"
					type="submit"
					(click)="registrate()"
					[disabled]="!registerForm.valid"
				> Зарегистрироваться </button>
			</div>


		</mat-card-content>

	</mat-card>
</div>
